# API Reference

Welcome to the Suthing API Reference documentation. This section contains detailed documentation for all modules and classes.

## Core Modules

- [File Handling](core.md#file-handling) - Utilities for file operations
- [Timer](core.md#timer) - Performance measurement tools
- [Profiler](core.md#profiler) - Function profiling utilities
- [Comparison](core.md#comparison) - Deep data structure comparison

## Connection Modules

- [Connection Types](connection.md#connection-types) - Supported connection types
- [Configuration](connection.md#connection-configuration) - Connection configuration classes
- [Factories](connection.md#connection-factories) - Connection factory utilities

## Quick Links

- [Getting Started](../getting_started/quickstart.md) - Basic usage examples
- [Examples](../examples.md) - Practical use cases
- [Contributing](../contributing.md) - How to contribute 